# chrono - agendas system
# Copyright (C) 2016  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'agenda/$', views.agendas),
    url(r'agenda/(?P<agenda_identifier>[\w-]+)/$', views.agenda_detail),

    url(r'agenda/(?P<agenda_identifier>[\w-]+)/datetimes/$', views.datetimes, name='api-agenda-datetimes'),
    url(r'agenda/(?P<agenda_identifier>[\w-]+)/fillslot/(?P<event_pk>[\w:-]+)/$',
        views.fillslot, name='api-fillslot'),
    url(r'agenda/(?P<agenda_identifier>[\w-]+)/status/(?P<event_pk>\w+)/$', views.slot_status),

    url(r'agenda/meetings/(?P<meeting_identifier>[\w-]+)/datetimes/$',
        views.meeting_datetimes, name='api-agenda-meeting-datetimes-legacy'),
    url(r'agenda/(?P<agenda_identifier>[\w-]+)/meetings/$',
        views.meeting_list, name='api-agenda-meetings'),
    url(r'agenda/(?P<agenda_identifier>[\w-]+)/meetings/(?P<meeting_identifier>[\w-]+)/datetimes/$',
        views.meeting_datetimes, name='api-agenda-meeting-datetimes'),

    url(r'booking/(?P<booking_pk>\w+)/$', views.booking),
    url(r'booking/(?P<booking_pk>\w+)/cancel/$', views.cancel_booking,
        name='api-cancel-booking'),
    url(r'booking/(?P<booking_pk>\w+)/accept/$', views.accept_booking,
        name='api-accept-booking'),
]
